<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "https://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>TestNG Report</title>
<style type="text/css">table {margin-bottom:10px;border-collapse:collapse;empty-cells:show}th,td {border:1px solid #009;padding:.25em .5em}th {vertical-align:bottom}td {vertical-align:top}table a {font-weight:bold}.stripe td {background-color: #E6EBF9}.num {text-align:right}.passedodd td {background-color: #3F3}.passedeven td {background-color: #0A0}.skippedodd td {background-color: #DDD}.skippedeven td {background-color: #CCC}.failedodd td,.attn {background-color: #F33}.failedeven td,.stripe .attn {background-color: #D00}.stacktrace {white-space:pre;font-family:monospace}.totop {font-size:85%;text-align:center;border-bottom:2px solid #000}.invisible {display:none}</style>
</head>
<body>
<table>
<tr><th>Test</th><th># Passed</th><th># Skipped</th><th># Retried</th><th># Failed</th><th>Time (ms)</th><th>Included Groups</th><th>Excluded Groups</th></tr>
<tr><th colspan="8">Default suite</th></tr>
<tr><td><a href="#t0">Default test</a></td><td class="num">9</td><td class="num">0</td><td class="num">0</td><td class="num">0</td><td class="num">58,767</td><td></td><td></td></tr>
</table>
<table id='summary'><thead><tr><th>Class</th><th>Method</th><th>Start</th><th>Time (ms)</th></tr></thead><tbody><tr><th colspan="4">Default suite</th></tr></tbody><tbody id="t0"><tr><th colspan="4">Default test &#8212; passed</th></tr><tr class="passedeven"><td rowspan="3">Add_To_Cart.Add_To_Cart</td><td><a href="#m0">testAddToCartSingleProduct_AlreadyAdded</a></td><td rowspan="1">1695647558279</td><td rowspan="1">5528</td></tr><tr class="passedeven"><td><a href="#m1">testAddToCartSingleProduct_MultipleQuantities</a></td><td rowspan="1">1695647563809</td><td rowspan="1">4294</td></tr><tr class="passedeven"><td><a href="#m2">testAddToCartSingleProduct_SingleQuantity</a></td><td rowspan="1">1695647568104</td><td rowspan="1">4322</td></tr><tr class="passedodd"><td rowspan="6">User_Registration.Registration_feature</td><td><a href="#m3">testInvalidPhoneNumber</a></td><td rowspan="1">1695647527479</td><td rowspan="1">6874</td></tr><tr class="passedodd"><td><a href="#m4">testSignUpWithEmptyFields</a></td><td rowspan="1">1695647534358</td><td rowspan="1">2865</td></tr><tr class="passedodd"><td><a href="#m5">testSignUpWithInvalidFullname</a></td><td rowspan="1">1695647537226</td><td rowspan="1">3123</td></tr><tr class="passedodd"><td><a href="#m6">testSignUpWithInvalidFullname1</a></td><td rowspan="1">1695647540350</td><td rowspan="1">10927</td></tr><tr class="passedodd"><td><a href="#m7">testSignUpWithInvalidPassword</a></td><td rowspan="1">1695647551280</td><td rowspan="1">3403</td></tr><tr class="passedodd"><td><a href="#m8">testSignUpWithInvalidVerificationCode</a></td><td rowspan="1">1695647554686</td><td rowspan="1">3578</td></tr></tbody>
</table>
<h2>Default test</h2><h3 id="m0">Add_To_Cart.Add_To_Cart#testAddToCartSingleProduct_AlreadyAdded</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m1">Add_To_Cart.Add_To_Cart#testAddToCartSingleProduct_MultipleQuantities</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m2">Add_To_Cart.Add_To_Cart#testAddToCartSingleProduct_SingleQuantity</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m3">User_Registration.Registration_feature#testInvalidPhoneNumber</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m4">User_Registration.Registration_feature#testSignUpWithEmptyFields</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m5">User_Registration.Registration_feature#testSignUpWithInvalidFullname</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m6">User_Registration.Registration_feature#testSignUpWithInvalidFullname1</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m7">User_Registration.Registration_feature#testSignUpWithInvalidPassword</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m8">User_Registration.Registration_feature#testSignUpWithInvalidVerificationCode</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
</body>
</html>
